[![Build Status](https://travis-ci.org/cujojs/wire.svg?branch=master)](https://travis-ci.org/cujojs/wire)

# wire.js

Wire is an [Inversion of Control Container](http://martinfowler.com/articles/injection.html "Inversion of Control Containers and the
Dependency Injection pattern")
for Javascript apps, and acts as the Application Composition layer for
[cujoJS](http://cujojs.com).

Wire provides architectural plumbing that allows you to create and manage
application components, and to connect those components together in loosely
coupled and non-invasive ways.  Consequently, your components will be more
modular, easier to unit test and refactor, and your application will be
easier to evolve and maintain.

To find out more, read the [full introduction](docs/introduction.md),
more about the [concepts behind wire](docs/concepts.md),
and check out a few [example applications](docs/introduction.md#example-apps).

# Documentation

1. [Getting Started](docs/get.md)
1. [Reference Documentation](docs/README.md)
1. [Example Code and Apps](docs/introduction.md#example-apps)
1. [Full Changelog](CHANGES.md)

# License

wire.js is licensed under [The MIT License](http://www.opensource.org/licenses/mit-license.php).
